Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Policy_ForwardA.cpp File Reference

`#include "Policy_ForwardC.h"`
`#include "Policy_ForwardA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Any_Basic_Impl_T.h"`

Include dependency graph for Policy_ForwardA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, const CORBA::PolicyList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::SetOverrideType _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::SetOverrideType &_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::SetOverrideType | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyTypeSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::PolicyTypeSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::PolicyList & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::SetOverrideType & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyTypeSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyTypeSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyList *& | _tao_elem
| ) |